package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目保险对象 sur_project_insurance
 * 
 * @author JiangYuQi
 * @date 2023-08-16
 */
public class SurProjectInsurance extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 保险类型 */
    @Excel(name = "保险类型")
    private String insuranceType;

    /** 保保单号 */
    @Excel(name = "保保单号")
    private String insuranceNumber;

    /** 保险文书 */
    @Excel(name = "保险文书")
    private String insuranceFile;

    /** 保险状态 */
    @Excel(name = "保险状态")
    private String insuranceState;

    /** 保险生效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "保险生效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginDate;

    /** 保险截至时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "保险截至时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 保险公司 */
    @Excel(name = "保险公司")
    private String companyName;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    private String insuranceTypeName;
    private String projectName;
    private String deptName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setInsuranceType(String insuranceType) 
    {
        this.insuranceType = insuranceType;
    }

    public String getInsuranceType() 
    {
        return insuranceType;
    }
    public void setInsuranceNumber(String insuranceNumber) 
    {
        this.insuranceNumber = insuranceNumber;
    }

    public String getInsuranceNumber() 
    {
        return insuranceNumber;
    }
    public void setInsuranceFile(String insuranceFile) 
    {
        this.insuranceFile = insuranceFile;
    }

    public String getInsuranceFile() 
    {
        return insuranceFile;
    }
    public void setInsuranceState(String insuranceState) 
    {
        this.insuranceState = insuranceState;
    }

    public String getInsuranceState() 
    {
        return insuranceState;
    }
    public void setBeginDate(Date beginDate) 
    {
        this.beginDate = beginDate;
    }

    public Date getBeginDate() 
    {
        return beginDate;
    }
    public void setEndDate(Date endDate) 
    {
        this.endDate = endDate;
    }

    public Date getEndDate() 
    {
        return endDate;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public String getInsuranceTypeName() {
        return insuranceTypeName;
    }

    public void setInsuranceTypeName(String insuranceTypeName) {
        this.insuranceTypeName = insuranceTypeName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("insuranceType", getInsuranceType())
            .append("insuranceNumber", getInsuranceNumber())
            .append("insuranceFile", getInsuranceFile())
            .append("insuranceState", getInsuranceState())
            .append("beginDate", getBeginDate())
            .append("endDate", getEndDate())
            .append("companyName", getCompanyName())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
